> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Member OAuth2 tokens

> Import Member OAuth2 tokens. See here for easy-to-use program to convert Discord token into VaultCord auths https://www.youtube.com/watch?v=th1QQlxiyTs



## OpenAPI

````yaml post /members/import
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /members/import:
    post:
      tags:
        - Members
        - Import Tokens
        - OAuth2
        - OAuth2 Tokens
        - Discord Tokens
        - Auths
      description: >-
        Import Member OAuth2 tokens. See here for easy-to-use program to convert
        Discord token into VaultCord auths
        https://www.youtube.com/watch?v=th1QQlxiyTs
      operationId: importMembers
      requestBody:
        description: Details for Discord you want pulled into
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                serverId:
                  type: integer
                  description: >-
                    VaultCord server ID, you can find this from List Servers API
                    endpoint
                  example: 62567
                userId:
                  type: string
                  description: Discord snowflake ID for specific member/user.
                  example: '720820224877789204'
                username:
                  type: string
                  description: >-
                    Discord username. It doesn't need to match the actual
                    username, put any random text here if you don't know the
                    username.
                  example: notexttospeech
                accessToken:
                  type: string
                  description: >-
                    Discord OAuth2 access token from
                    https://discord.com/developers/docs/topics/oauth2#authorization-code-grant-access-token-response
                  example: MTYxNjYwNTE3OTE0NTA5MzEy.6qrZcUqja7812RVdnEKjpzOL4CvHBFG
                refreshToken:
                  type: string
                  description: >-
                    Discord OAuth2 refresh token from
                    https://discord.com/developers/docs/topics/oauth2#authorization-code-grant-access-token-response
                  example: D43f5y0ahjqew82jZ4NViEr2YafMKhue
      responses:
        '200':
          $ref: '#/components/responses/memberImported'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    memberImported:
      description: Successfully added member auth to database
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              message:
                type: string
                example: Imported member
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````